#!/bin/sh


LOCAL_PATH=`dirname $0`
LOCAL_PATH=`cd $LOCAL_PATH && pwd`

ln -sf libsdl-1.2.so $LOCAL_PATH/../../../obj/local/armeabi/libSDL.so
ln -sf libsdl-1.2.so $LOCAL_PATH/../../../obj/local/armeabi-v7a/libSDL.so

if [ "$1" = armeabi ]; then

if [ \! -f vice/configure ] ; then
	sh -c "cd vice && ./autogen.sh"
fi

if [ \! -f vice/Makefile ] ; then
	../setEnvironment.sh sh -c "cd vice && ./configure --host=arm-linux-androideabi --without-x --enable-sdlui --with-sdlsound"
fi

make -C vice && mv -f vice/src/x64 libapplication.so

else

if [ \! -f vice-v7a/configure ] ; then
	sh -c "cd vice-v7a && ./autogen.sh"
fi

if [ \! -f vice-v7a/Makefile ] ; then
	../setEnvironment-armeabi-v7a.sh sh -c "cd vice-v7a && ./configure --host=arm-linux-androideabi --without-x --enable-sdlui --with-sdlsound"
fi

make -C vice-v7a && mv -f vice-v7a/src/x64 libapplication-armeabi-v7a.so

fi